### Method

# Gtk.Statusbar.get_context_id

#### Declaration [src]

    guint
    gtk_statusbar_get_context_id (
      GtkStatusbar* statusbar,
      const char* context_description
    )

#### Description [src]

Returns a new context identifier, given a description of the actual context.

Note that the description is not shown in the UI.

#### Parameters

`context_description` | `const char*`
| textual description of what context the new message is being used in
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `guint`
an integer id